#include <iomanip>

#include "BasisState.hh"

namespace PRM {
  BasisState::BasisState(int iN, int iL, int iJ2, int iOmega2) :
    N(iN),
    l(iL),
    j2(iJ2),
    omega2(iOmega2) { }

  bool BasisState::operator==(const BasisState &b2) const {
    return ( N == b2.N && l == b2.l && j2 == b2.j2 && omega2 == b2.omega2 );
  }

  void BasisState::Print(std::ostream &out) {
    out << "| " << std::setw(2) << N
        << " " << std::setw(2) << l
        << " " << std::setw(2) << j2 << "/2 "
        << std::setw(3) << omega2 << "/2 >";
  }
}
